Subject: Re: [PATCH] ci: enable EXPENSIVE for contributor builds

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 17:29:01 +0900

Patrick Steinhardt <[email-masked]> writes:

> So with this change we now run the tests for all "official" branches,
> and on pull requests. Which raises the question: are there any events
> that happen regularly that are excluded by this? Because if not I think
> it might be sensible to just enable this unconditionally, also because
> that would make jobs on GitLab CI run expensive tests, as well.

The simplicity certainly is tempting.

We could instead do the "let's enable only on linux-test-vars" kind
of "optimization", which is on the other side of the extreme, but
that is only valid if the kind of bugs that can be revealed only by
EXPENSIVE tests, which may not be caught by others, is expected to
be pretty much platform or configuration agnostic.  I somehow doubt
that it is the case.

In any case, I think spending on more machine cycles is certainly
cheaper than human resources for things like this.

Thanks.